(ns wanijo.public.view
  (:require [hiccup.page :refer [html5 include-js include-css]]
            [wanijo.infrastructure.routing :refer [path]]))

(defn layout [content]
  (html5
    [:head
     [:meta {:charset "utf-8"}]
     [:meta {:name "viewport"
             :content "width=device-width,initial-scale=1,shrink-to-fit=no"}]
     [:title "Moxie!"]
     (include-css "/css/bootstrap.min.css"
                  "/css/public.css")
     (include-js "/js/bootstrap.min.js")]
    [:body
     [:nav.navbar.navbar-expand-lg.sticky-top
      [:a.navbar-brand {:href (path :public-index)}
       [:img.navbar__logo {:src "/img/trio-logo.svg"
                           :alt "logo"}]]
      [:button.navbar-toggler {:type "button"
                               :data-toggle "collapse"
                               :data-target "#navbar-content"}
       [:span.navbar-toǵgler-icon]]
      [:div#navbar-content.collapse.navbar-collapse.text-right
       [:div#navbar-nav.ml-auto
        "Dingens"]]]
     [:div.container-fluid.super-container
      [:menu.global-nav
       [:ol.global-nav__card-nav
        [:li.global-nav__card-nav-item
         [:a.global-nav__link {:href "#"}
          "Dev"]]]]
      (into [:main.main] content)]]))

(defn index []
  (layout
    [[:h1 "Schön, dass du da bist!"]
     [:h2 "Willkommen auf der TRIO-Wissensplattform"]
     [:p "Hier findest du das gesammelte Wissen unserer Kollegen."]
     [:p "Schau dich um. Vermisst du etwas? Dann sprich mit deinem CoC!"]
     [:p "Du möchtest dich weiterentwickeln?"
      "Dann gestalte selbst deinen Weg bei der TRIO und sprich"
      "deinen Vorgesetzten an"]]))
